ICC-4c C# SDK

Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.Registers.IIcc4CPwmRegisters Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.Registers.IIcc4CPwmRegisters:

## Public Member Functions
bool | IsCorrectChannel (EChannel channel)
int | GetVpmMemoryIndex (int numberOfPoints)
int | GetVectorStartIndex (int numberOfPoints)
int | GetVectorEndIndex (int numberOfPoints)

## Properties
EIcc4CRegisters | InputSignalStageSystem`[get]`
EIcc4CRegisters | InputStageStaticInputId`[get]`
EIcc4CRegisters | InputStageStaticInputCurrent`[get]`
EIcc4CRegisters | InputStageVectorPatternId`[get]`
EIcc4CRegisters | InputStageVectorPatternUnitType`[get]`
EIcc4CRegisters | InputStageVectorPatternRun`[get]`
EIcc4CRegisters | InputStageVectorPatternStartIndex`[get]`
EIcc4CRegisters | InputStageVectorPatternEndIndex`[get]`
EIcc4CRegisters | InputStageVectorPatternStartIndex2`[get]`
EIcc4CRegisters | InputStageVectorPatternEndIndex2`[get]`
EIcc4CRegisters | InputStageVectorPatternExternalTriggerGpiox`[get]`
EIcc4CRegisters | InputStageVectorPatternSampleRate`[get]`
EIcc4CRegisters | InputStageVectorPatternMinimumSamplingRate`[get]`
EIcc4CRegisters | InputStageVectorPatternMaximumSamplingRate`[get]`
EIcc4CRegisters | InputStageVectorPatternCycles`[get]`
EIcc4CRegisters | InputStageVectorPatternExternalTrigger`[get]`
EIcc4CRegisters | InputStageSignalGeneratorId`[get]`
EIcc4CRegisters | InputConditioningOffsetAndScaleGain`[get]`
EIcc4CRegisters | InputConditioningOffsetAndScaleOffset`[get]`
EIcc4CRegisters | InputStageSignalGeneratorAmplitude`[get]`
EIcc4CRegisters | InputStageSignalGeneratorFrequency`[get]`
EIcc4CRegisters | InputStageSignalGeneratorOffset`[get]`
EIcc4CRegisters | InputStageSignalGeneratorPhaseDelay`[get]`
EIcc4CRegisters | InputStageSignalGeneratorShape`[get]`
EIcc4CRegisters | InputStageSignalGeneratorWaveformRun`[get]`
EIcc4CRegisters | InputStageSignalGeneratorWaveformUnit`[get]`
EIcc4CRegisters | InputStageSignalGeneratorCycles`[get]`
EIcc4CRegisters | InputStageSignalGeneratorDutyCycles`[get]`
EIcc4CRegisters | InputStageSignalGeneratorStairNumber`[get]`
EIcc4CRegisters | InputStageSignalGeneratorExternalTrigger`[get]`
EIcc4CRegisters | InputStageAnalogInputId`[get]`
EIcc4CRegisters | InputStageAnalogInputCurrentMax`[get]`
EIcc4CRegisters | InputStageAnalogInputCurrentMin`[get]`
EIcc4CRegisters | ControlModeStageSystem`[get]`
EIcc4CRegisters | ControlModeStageCurrentId`[get]`
EIcc4CRegisters | InputStageStaticInputFocalPower`[get]`
EIcc4CRegisters | MinLimitForRedFlag`[get]`
EIcc4CRegisters | MinLimitForYellowFlag`[get]`
EIcc4CRegisters | MaxLimitForYellowFlag`[get]`
EIcc4CRegisters | MaxLimitForRedFlag`[get]`
EIcc4CRegisters | MaxLimitForScrollingFlag`[get]`
EIcc4CRegisters | MinLimitForScrollingFlag`[get]`
EIcc4CRegisters | GuaranteedTemperatureMin`[get]`
EIcc4CRegisters | GuaranteedTemperatureMax`[get]`
EIcc4CRegisters | MiscFeaturesEnableOutputStage`[get]`
EIcc4CRegisters | ConnectedDeviceType`[get]`
EIcc4CRegisters | MiscFeaturesAdcI`[get]`
EIcc4CRegisters | MiscFeaturesAdcV`[get]`
EIcc4CRegisters | MiscFeaturesDevPower`[get]`
EIcc4CRegisters | MiscFeaturesAnlgIn`[get]`
EIcc4CRegisters | MiscFeaturesResistance`[get]`
EIcc4CRegisters | LensCompensationOutputDiopter`[get]`
EIcc4CRegisters | LensCompensationOutputCurrent`[get]`
EIcc4cVectorMap | I2CListChannel`[get]`
EIcc4CRegisters | InputStageAnalogInputDiopterMax`[get]`
EIcc4CRegisters | InputStageAnalogInputDiopterMin`[get]`
EIcc4CRegisters | ControlModeStageFocalPowerId`[get]`
EIcc4cVectorMap | InputStageAnalogInputVoltageVector`[get]`
EIcc4cVectorMap | InputStageAnalogInputValuesVector`[get]`
EIcc4CRegisters | InputStageAnalogInputUnitType`[get]`
EIcc4CRegisters | InputStageAnalogInputExtrapolation`[get]`
EIcc4CRegisters | LinearOutputStageCurrentLimit`[get]`
EIcc4CRegisters | LinearOutputStageAverageLimitPeriod`[get]`
EIcc4CRegisters | LinearOutputStageAverageLimitSum`[get]`
EIcc4CRegisters | LinearOutputStageCooldownPeriod`[get]`
EIcc4CRegisters | LinearOutputStageOutputDisabled`[get]`

The documentation for this interface was generated from the following file:

- Device/Registers/IIcc4CPwmRegisters.cs